## ECellTree

ECellTree

## Functions

ECell * | e_cell_tree_new ()
void | e_cell_tree_construct ()
ECellView * | e_cell_tree_view_get_subcell_view ()

## Types and Values

struct | ECellTree

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellTree

## Description

## Functions

### e_cell_tree_new ()

    ECell *
    e_cell_tree_new (gboolean draw_lines,
                     ECell *subcell);

Creates a new ECell renderer that can be used to render tree effects that come from an ETreeModel. Various assumptions are made as to the fact that the ETableModel the ETable this cell is associated with is in fact an ETreeModel. The cell uses special columns to get at structural information (needed to draw the lines/icons.

#### Parameters

draw_lines | whether or not to draw the lines between parents/children/siblings. |
subcell | the ECell to render to the right of the tree effects. |

#### Returns

an ECell object that can be used to render trees.

### e_cell_tree_construct ()

    void
    e_cell_tree_construct (ECellTree *ect,
                           gboolean draw_lines,
                           ECell *subcell);

Constructs an ECellTree. used by subclasses that need to initialize a nested ECellTree. See `e_cell_tree_new()` for more info.

#### Parameters

ect | the ECellTree we're constructing. |
draw_lines | whether or not to draw the lines between parents/children/siblings. |
subcell | the ECell to render to the right of the tree effects. |

### e_cell_tree_view_get_subcell_view ()

    ECellView *
    e_cell_tree_view_get_subcell_view (ECellView *ect);

## Types and Values

### struct ECellTree

    struct ECellTree;